Copyright: , 1995 INTERSOLV


	DataDirect ODBC  System 10 Driver
Sybase System 10 Logon

Sybase System 10 ODBC Setup

Copyright


Copyright
Copyright 1995 INTERSOLV Inc. All rights reserved. INTERSOLV is a registered trademark, and DataDirect is a trademark of INTERSOLV, Inc. Other company or product names mentioned herein may be trademarks or registered trademarks of their respective companies.


Sybase System 10 ODBC Setup
Configuring a Sybase System 10 Data Source

Data Source Name:  A string that identifies this Sybase System 10 data source configuration in ODBC.INI.  Examples include "Accounting" or "Sys10-Serv1."

Description:  An optional long description of a data source name.  For example, "My Accounting Database" or "System 10 on Server number 1."

Server Name:  The name of the server that contains the System 10 tables you want to access.  If not supplied, the server name in the DSQUERY environment variable is used.

The following values are optional:

Server List:  The list of servers that appear in the logon dialog box.  Separate the server names with commas.

Database Name:  The name of the database to which you want to connect by default.  If you do not specify a value, the default is the database defined by the  system administrator for each user.

Database List:  The databases that appear in the logon dialog box.  Separate the names with commas.

Default Logon ID:  The default logon ID used to connect to your System 10 database.  This ID is case-sensitive.  A logon ID is required only if security is enabled for the database you are connecting to.  Your ODBC application may override this value or you may override this value in the logon dialog box or connection string.

Interfaces File:  The pathname of the interfaces file.  The default is the normal Sybase interfaces file.

Password Encryption:  A number that determines whether password encryption can be performed from the Open Client Library to the server (PasswordEncryption=1). When set to 0, the default, this cannot be done.

Charset:  The name of a character set corresponding to a subdirectory in $SYBASE/charsets.  The default is the setting on the System 10 server.

Workstation ID:  The workstation ID used by the client.

Language:  The national language corresponding to a subdirectory in $SYBASE/locales.  The default is English.

Application Name:  The name used by System 10 to identify your application.

Yield Proc:  This attribute is not available in Windows NT. A numeric value that determines whether you can work in other applications when Sybase System 10 is busy.

Optimize Prepare:  A value that determines whether stored procedures are created on the server for every call to SQLPrepare. When set to 0, stored procedures are created for every call to SQLPrepare, which can decrease performance.

When set to 1, the initial default, the driver creates stored procedures only if the statement contains parameters. Otherwise, the statement is cached and executed directly at SQLExecute time. When set to 2, the driver never creates stored procedures.

Array Size:  The number of rows the driver retrieves from the server for each fetch.  This is not the number of rows given to the user.  The default is 10 rows.

Select Method:  A value that determines whether database cursors are used for Select statements. When set to 0, the initial default, database cursors are used. In some cases performance degradation can occur when performing large numbers of sequential Select statements because of the amount of overhead associated with creating database cursors.

When set to 1, Select statements are executed directly without using database cursors. When set to 1, the data source is limited to one active statement and one active connection.

Packet Size:  A number that determines the number of bytes per network packet transferred from the database server to the client. The correct setting of this attribute can improve performance.

When set to 0, the initial default, the driver uses the default packet size as specified in the System 10 server configuration.

When set to -1, the driver computes the maximum allowable packet size on the first connect to the data source and save the value in the odbc.ini file.

When set to x, an integer from 1 to 10, which indicates a multiple of 512 bytes (for example, Packet Size=6 means to set the packet size to 6 * 512 = 3072 bytes).

For you to take advantage of this connection attribute, you must configure the System 10 server for a maximum network packet size greater than or equal to the value you specified for Packet Size. For example,

sp_configure maximum network packet size, 5120
reconfigure
Restart System 10 Server

Note that the ODBC specification specifies a connect option, SQL_PACKET_SIZE, that offers this same functionality. To avoid conflicts with applications that may set both the connection string attribute and the ODBC connect option, they have been defined as mutually exclusive. If PacketSize is specified, you will receive a message Driver Not Capable if you attempt to call SQL_PACKET_SIZE. If you do not set Packet Size, then application calls to SQL_PACKET_SIZE are accepted by the driver.

Translate: Displays the Select Translator dialog box to allow you to perform a translation of your data from one character set to another. Choose the INTERSOLV OEM ANSI translator to translate your data from the IBM PC character set to the ANSI character set.


Logon to Sybase System 10

Server Name:  Type the case-sensitive name of the server containing the System 10 database tables you want to access or select the name from the Server Name drop-down list, which displays the server names you specified in the setup dialog box.

Login ID:  If required, type your Login ID (case-sensitive).

Password:  If required, type your password for the system (case-sensitive).

Database:  Type the name of the database you want to access (case-sensitive) or select the name from Database drop-down list, which displays the database names you specified in the Setup dialog box.